Package org.firebirdsql.gds.ng.wire

## Class BatchCompletionResponse

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.BatchCompletionResponse

All Implemented Interfaces:
  `Response`

    public final class BatchCompletionResponse
    extends java.lang.Object
    implements Response

Data from the `WireProtocolConstants.op_batch_cs` response.

Since:
  5
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`BatchCompletionResponse​(BatchCompletion batchCompletion)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchCompletion` `batchCompletion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BatchCompletionResponse

    public BatchCompletionResponse​(BatchCompletion batchCompletion)

### Method Detail

#### batchCompletion

    public BatchCompletion batchCompletion()